# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/anyio-3.5.0-python_3.9-on-linux_64, last modified Thu Feb 10 08:24:46 2022
# ------------------------------------------------

package:
  name: anyio
  version: 3.5.0
source:
  - folder: dist
    sha256: a0aeffe2fb1fdf374a8e4b471444f0f3ac4fb9f5a5b542b48824475e0042a5a6
    url: https://pypi.io/packages/source/a/anyio/anyio-3.5.0.tar.gz
  - folder: src
    sha256: 55a37ea9eb2092d435af148b42a10005ee62ec7eb7d7a12d73c88e2b8aca5e38
    url: https://github.com/agronholm/anyio/archive/3.5.0.tar.gz
build:
  number: '0'
  script: cd dist && /tmp/build/80754af9/anyio_1644463572971/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . -vv --no-deps
  string: py39h06a4308_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - patch 2.7.6 h7b6447c_1001
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.10.26 h06a4308_2
    - certifi 2021.10.8 py39h06a4308_2
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1m h7f8727e_0
    - packaging 21.3 pyhd3eb1b0_0
    - pip 21.2.4 py39h06a4308_0
    - pyparsing 3.0.4 pyhd3eb1b0_0
    - python 3.9.7 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py39h06a4308_0
    - setuptools-scm 6.3.2 pyhd3eb1b0_0
    - sqlite 3.37.2 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - toml 0.10.2 pyhd3eb1b0_0
    - tomli 1.2.2 pyhd3eb1b0_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - idna >=2.8
    - python >=3.9,<3.10.0a0
    - sniffio >=1.1
  run_constrained:
    - trio >=0.16
test:
  commands:
    - pip check
  downstreams:
    - jupyter_server
  imports:
    - anyio
  requires:
    - coverage >=4.5
    - hypothesis >=4.0
    - mock >=4
    - pip
    - pytest >=6.0
    - pytest-cov
    - pytest-mock >=3.6.1
    - toml
    - trio
    - trustme
    - uvloop
  source_files:
    - src/tests
about:
  dev_url: https://github.com/agronholm/anyio
  doc_source_url: https://github.com/agronholm/anyio/tree/3.5.0/docs
  doc_url: https://anyio.readthedocs.io
  home: https://github.com/agronholm/anyio
  license: MIT
  license_family: MIT
  license_file: dist/LICENSE
  summary: High level compatibility layer for multiple asynchronous event loop implementations
    on Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - CJ-Wright
    - bollwyvl
